[PUT] ~/b2b/customer
Update a B2B Customer with the provided
Request Information
URI Parameters
None.
Body Parameters
The B2B customer data.
An instance of: B2BCustomer| Name | Description | Type | |
|---|---|---|---|
|
Gets or sets the company. |
string | ||
|
Gets or sets the company number. |
string | ||
|
Gets or sets the contact person. |
string | ||
|
Gets or sets the identifier of the customer. |
integer | ||
|
Gets or sets the email. |
string | ||
|
Gets or sets the fax. |
string | ||
|
Gets or sets the identifier of the kuerzel. |
integer | ||
|
Gets or sets the login. |
string | ||
|
Gets or sets the password. |
string | ||
|
Gets or sets the phone. |
string | ||
|
Gets or sets the street. |
string | ||
|
Gets or sets the town. |
string | ||
|
Gets or sets the zip code. |
string |
Request Formats
application/json, text/json
Sample:
{
"company": "sample string 1",
"companyNumber": "sample string 2",
"contactPerson": "sample string 3",
"customerId": 1,
"email": "sample string 4",
"fax": "sample string 5",
"kuerzelId": 6,
"login": "sample string 7",
"password": "sample string 8",
"phone": "sample string 9",
"street": "sample string 10",
"town": "sample string 11",
"zipCode": "sample string 12"
}
Response Information
Resource Description
A B2b login delete access token.